#!/bin/bash

# GATEWAY of AMPR gateway (DMR ID 250998)
REMOTE="44.188.131.1"
GATEWAY="13.3.212.118"

# Verify connection to the radio
NETWORK=$(ifconfig | grep -E -o "inet 192.168.(10|11).2" | grep -E -o "(192.168.\d+)")

# Stop execution if no radio connected
if [ -z "$NETWORK" ]
then
  echo "Radio is not connected"
  exit 1
fi

# Add route to gateway over CAI network
sudo route add -host $GATEWAY $NETWORK.1

# Tune tunnel and get local address from access server
LOCAL=$(curl --silent --output - http://$GATEWAY/api/tune.php?protocol=4)

# Stop execution if no address returned
if [ -z "$LOCAL" ]
then
  echo "ID is not subscribed to AMPR access service"
  exit 2
fi

# Create tunnel interface
sudo ifconfig gif0 tunnel $NETWORK.2 $GATEWAY
sudo ifconfig gif0 $LOCAL $REMOTE mtu 1380

# Add route to AMPR over tunnel interface
sudo route add -net 44.0.0.0/8 -gateway $LOCAL -interface
